Skip to Content

can system use 7.0 AA while using 3.5 BEx Analyzer?

Hi Experts,

I seek your help here. I understand that there is a setting in SPRO that controls what security is being checked in BW system i.e. old 3.5 security or new 7.0 Analysis Auth security. Until, we explicitly set this setting to use new BW 7.0 AA, system checks access restriction against 3.5 roles & auth. This happens even when you are using 7.0 BEx Analyzer to run queries and workbooks. This scenario is not supported but still it works.

Once we change the setting in SPRO, and move to 7.0 AA security, system starts checking access restriction against 7.0 AA.

My question is, does this hold true even when we are using 3.5 BEx Analyzer?

Regards,

Purvang

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Best Answer
    avatar image
    Former Member
    Aug 18, 2011 at 05:08 PM

    Hi Purvang,

    In BI 7.0, you can enable the analysis authorizations either from SPRO settings, or using transaction code RSCUSTV23.

    The authorization mode should be set to Current procedure with Analysis Authorizations, if you wish to enable AA.

    However, BEx basically check what authorization mode is set. If you are using BEx 3.5 with Analysis authorizations enabled, it will still check for the authorization restrictions at the InfoObject level.

    Viceversa, if the AA mode is disabled and set to "Obsolete concept with RSR Authorization objects", the Analysis authorizations will not be checked, even though you use the latest version of BEx.

    Hope this clarifies!!

    Best Regards,

    Raghu

    Add comment
    10|10000 characters needed characters exceeded